
Ruby - Bug #6848

bundle install fails

08/10/2012 02:27 AM - bcode (y s)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.3p194 (2012-04-20 revision

35410) [x86_64-darwin10.8.0]

Backport:  

Description

After installing  ruby using rvm, on an OSX 10.6, bundle install fails.

This is my ruby:

$ ruby -v

ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-darwin10.8.0]

This is how I get the error:

$ rails new abc

gives a long output, at the end of which is

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

Fetching gem metadata from https://rubygems.org/.

Related issues:

Related to Ruby - Bug #4373: http.rb:677: [BUG] Segmentation fault Third Party's Issue02/06/2011

History

#1 - 08/10/2012 11:11 AM - naruse (Yui NARUSE)

- Status changed from Open to Feedback

It seems because openssl bundled with Mac OS X.

Ruby can't work with Mac bundled OpenSSL

http://www.christopherirish.com/2011/09/02/ruby-1-9-2-segmentation-fault-and-openssl/

#2 - 11/03/2012 12:35 PM - mame (Yusuke Endoh)

- Status changed from Feedback to Rejected

Another reference.

http://blog.55minutes.com/2012/01/fixing-a-segmentation-fault-in-ruby-193/

This looks a known issue of openssl binary bundled with Mac OS X.

--

Yusuke Endoh mame@tsg.ne.jp

Files

ruby_2012-08-09-131512_farisMac.crash 9.1 KB 08/10/2012 bcode (y s)

fullOutput.txt 27.3 KB 08/10/2012 bcode (y s)

rvm_info.txt 1.79 KB 08/10/2012 bcode (y s)
